
/* Основные стили */

html, body {
	height: 100%;
}
body {
	position: relative;
	min-height: 100%;
}
#header_image, #header_increase, #header_decrease, #header_block_footer, #basketinfo, #earn, #nav, #search, #auth_links, #logo, #logo_small, #sitename, #slogan, #header_text, #Supermarket_Cart_Img, #footer {
	display: block;
	position: absolute;
}
#main, #header, #header_block, .menu_main, #bread, #content, #area_01, #area_02, #area_03, #footer_pad {
	display: block;
	position: relative;
}
#main {
	min-width: 1000px; min-height: 100%;
}
#bread {
	margin-right: 25px;
}
#bread, #area_03 ~ #area_01 > *, #area_02 {
	margin-left: 25px;
}
#header {
	margin-bottom: 36px;
	padding-top: 9px;
	border-bottom-width: 1px; border-bottom-style: solid;
	background-position: right -20px; background-repeat: no-repeat;
	z-index: 400;
}
#header_image {
	top: 12px; bottom: 0; left: 0;
	width: 435px;
	background-position: left top; background-repeat: no-repeat;
	z-index: 405;
}
#header_increase, #header_decrease {
	left: 5px;
	width: 15px; height: 15px;
	background-position: left top; background-repeat: no-repeat;
	z-index: 420;
}
#header_increase {bottom: 25px;}
#header_decrease {bottom: 5px;}
#header_block {
	margin: 0 25px -1px 25px;
	padding-top: 106px;
	z-index: 450;
}
#header_block_footer {
	top: 100%;
	width: 100%;
	margin-top: 1px;
}
#header_block_footer:after {
	display: block;
	min-height: 10px;
	line-height: 0;
}
#sitename, #header_text, #nav, #earn, #basketinfo, #auth_links, #search, #logo {top: 13px;}
#logo, #sitename {left: 8.71%;}
#search, #header_text {left: 38.2%;}
#earn, #basketinfo, #auth_links {right: 8.71%;}
#search, #nav, #header_text {right: 30%;}
#sitename {
	margin-top: -9px;
}
#basketinfo {
	margin-top: 31px;
	z-index: 600;
}
#earn {
	margin-top: 67px;
	text-align: right;
	z-index: 602;
}
#header_text, #auth_links {
	margin-top: -8px;
}
#header_text .underground_moscow {
	float: right;
	margin-top: 1px; margin-left: 1em;
	white-space: nowrap;
	line-height: 1;
}
#auth_links {
	display: block;
}
#search, #nav {
	margin-top: 65px;
}
#search {
	margin-right: 70px;
	z-index: 800;
}
#nav {
	max-width: 66px;
	margin-right: -5px;
	white-space: nowrap;
	font-size: 0;
	z-index: 750;
}
#nav a {
	display: table-cell;
	width: 22px; height: 22px;
	vertical-align: middle;
	text-align: center;
}
#header_block #auth {
	display: none;
}
#auth.popupdiv {
	width: 200px;
}
#auth.popupdiv h2, #auth.popupdiv:after {
	display: none;
}
#search fieldset, .search fieldset, #auth fieldset {
	position: relative;
	white-space: nowrap;
	font-size: 0;
}
#auth.popupdiv fieldset {
	width: 166px;
}
.menu_main {
	white-space: nowrap;
	overflow: hidden;
	z-index: 900;
}
#bread {
	margin-top: -22px; margin-bottom: 14px;
	padding-right: 8px; padding-left: 7px;
	text-align: left;
	z-index: 850;
}
#bread a, #bread span {
	display: inline-block;
	margin-right: 0.3em;
}
#bread a:after {
	content: "\2192"; margin-left: 0.3em;
}
#bread a:last-child:after, #bread span:last-child:after {
	display: none;
}

#menu_link, #top_link {
	position: fixed;
	width: 36px; height: 36px;
	background-position: left top; background-repeat: no-repeat;
	z-index: 1000;
}
#menu_link {
	display: none !important;
	margin-left: -46px;
}
#top_link {
	margin: -180px 0 0 -20px;
}

#cart_link{
	position:fixed;
	top: 50px;
	right:0;
	width: 90px;
	z-index: 1500;
	display: none;
}

#menu_link > a, #top_link > a {
	display: block;
	width: 36px; height: 36px;
}
#content {
	padding: 0 0 25px 25px;
	z-index: 50;
}
#content:after {
	content: "";
	display: block;
	clear: both;
}
#area_01 {
	padding-right: 25px;
	z-index: 100;
}
#area_02, #area_03 {
	min-width: 160px;
}
#area_02 {
	float: right;
	width: 25%;
	z-index: 150;
}
#area_03 {
	float: left;
	width: 20%;
	z-index: 200;
}
#footer_pad {
	height: 0;
}
#footer {
	right: 0; bottom: 0; left: 0;
	padding: 9px 25px 0 25px;
	border-top-width: 1px; border-top-style: solid;
	z-index: 300;
}
#footer_block {
	display: block;
	position: relative;
	padding-top: 11px;
	z-index: 325;
}
#footer_footer {
	display: block;
	position: relative;
	clear: both;
}
#logo_small {
	top: 50%; left: 50%;
	width: 116px; height: 43px;
	margin: -20px 0 0 -54px;
	background-position: left top; background-repeat: no-repeat;
	z-index: 350;
}
#logo {
	width: 230px; height: 82px;
	margin: 20px 0 0 -13px;
	background-position: left top; background-repeat: no-repeat;
	z-index: 950;
}
#search input, .search input, #auth input {
	vertical-align: top;
}
#auth_chbCookieRegDays {
	vertical-align: middle !important;
}
#search_field, .search_field, #auth_login_field, #auth_password_field {
	width: 100%;
	padding-right: 25px !important;
	font-size: 13px;
}
#search_button, .search_button, #auth_button {
	position: relative;
	width: 30px;
	height: 30px;
	margin-top: -5px; left: -31px;
	background: url(/images/n_search.gif) center center no-repeat;
}
#auth_login_field, #auth_password_field, #auth_button {
	margin-bottom: 6px;
}
#auth div {white-space: nowrap;}
#auth div * {vertical-align: middle;}
#auth a {
	text-transform: lowercase;
}
#Supermarket_Cart_Img {
	top: -8px; right: 140px;
	width: 70px; height: 56px;
	background-position: left top; background-repeat: no-repeat;
}
.service_entry {
	display: block;
	text-align: right;
}
#area_01 h1 {
	margin-top: 3px;
}
#footer_text {
	float: left;
	width: 40%;
	padding: 0 0 13px 27px;
}
#footer_banners {
	float: right;
	width: 40%;
	padding: 0 27px 0 0;
}
#footer_banners > * {
	float: right;
	margin: 0 0 11px 11px;
}

/* Разные стили */

*[id*="payment_"] {
	margin-right: 8px !important; margin-bottom: 8px !important;
}
*[id*="payment_"] > a:first-child {
	display: block;
	width: 88px; height: 31px;
	margin: 0 -7px -3px -7px;
	background-position: center center; background-repeat: no-repeat; background-size: contain;
}
.block_01, .block_02, .block_03, .block_04, .block_05, .block_11, .popupdiv, #menu_basic, #area_01 #auth, #area_02 #auth, #area_03 #auth {
	display: block;
	position: relative;
	margin-bottom: 18px;
	padding: 7px 13px 10px 13px;
	border-width: 1px; border-style: solid;
}
.flexed {
	display: flex !important;
    flex-flow: row wrap;
    gap: 15px;
}
.flexed > * {
	flex: 1 1 0;
	margin: 0;
}
.flexed > .object_goods[class*="block_"] {
	flex-basis: 20%;
	flex-direction: column;
}
.flexed_grow {
	flex-grow: 1000;
}
.flexed > *::before {
	content: none !important;
}
/* Костыль для блоков в центре, которые должны тянуться на всю доступную ширину, но корректно обтекать float-ы */
.block_00 *[class*="block_"] {
	display: table;
}
.block_00 *[class*="block_"]::before {
	content: "_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _";
	display: block;
	height: 0;
	visibility: hidden;
}
.block_00 *[class*="block_"][class*="pseudo_button"]:before, .block_00 *[class*="block_"][class*="thumb"]:before, .block_00 *[class*="block_"][class*="float"]:before {
	content: "";
}
/* Конец этого костыля */
.block_01, .popupdiv, #menu_basic, #area_01 #auth, #area_02 #auth, #area_03 #auth {margin-bottom: 29px;}
.block_01 h1, .popupdiv h1, #menu_basic h1, #area_01 #auth h1, #area_02 #auth h1, #area_03 #auth h1, .block_01 h2.block, .popupdiv h2.block, #menu_basic h2.block, #area_01 #auth h2.block, #area_02 #auth h2.block, #area_03 #auth h2.block, .block_01 h2.cont, .popupdiv h2.cont, #menu_basic h2.cont, #area_01 #auth h2.cont, #area_02 #auth h2.cont, #area_03 #auth h2.cont {
	display: block;
	position: relative;
	margin-top: -8px; margin-right: -14px; margin-left: -14px;
	padding: 3px 14px 6px 14px;
}
.block_01 h1:before, .popupdiv h1:before, #menu_basic h1:before, #area_01 #auth h1:before, #area_02 #auth h1:before, #area_03 #auth h1:before, .block_01 h2.block:before, .popupdiv h2.block:before, #menu_basic h2.block:before, #area_01 #auth h2.block:before, #area_02 #auth h2.block:before, #area_03 #auth h2.block:before, .block_01 h2.cont:before, .popupdiv h2.cont:before, #menu_basic h2.cont:before, #area_01 #auth h2.cont:before, #area_02 #auth h2.cont:before, #area_03 #auth h2.cont:before {
	display: block;
	margin: -3px -14px -7px -14px;
	line-height: 0;
}
.block_01 h1:after, .popupdiv h1:after, #menu_basic h1:after, #area_01 #auth h1:after, #area_02 #auth h1:after, #area_03 #auth h1:after, .block_01 h2.block:after, .popupdiv h2.block:after, #menu_basic h2.block:after, #area_01 #auth h2.block:after, #area_02 #auth h2.block:after, #area_03 #auth h2.block:after, .block_01 h2.cont:after, .popupdiv h2.cont:after, #menu_basic h2.cont:after, #area_01 #auth h2.cont:after, #area_02 #auth h2.cont:after, #area_03 #auth h2.cont:after {
	display: block;
	height: 0;
	margin: 6px -14px -8px -14px;
	line-height: 0;
}
.block_01:after, .popupdiv:after, #menu_basic:after, #area_01 #auth:after, #area_02 #auth:after, #area_03 #auth:after {
	display: block;
	margin: 12px -14px -22px -14px;
	line-height: 0;
}
.popupdiv {
	display: none;
	position: absolute !important;
	max-width: 400px;
	z-index: 1000;
}
.menu-expand {
	height: auto !important;
	overflow: normal !important;
}
.table-grid {
	display: grid;
	grid-template-columns: auto 1fr;
	gap: 8px;
}
.table-grid > *:nth-child(odd) {
	text-align: right;
}
.table-grid :is(input:is([type="text"], [type="password"]), select, textarea) {
	width: 100%;
}
.table-grid__hidden {
	display: none;
}
.table-grid > *:has(+ .table-grid__hidden) {
	display: contents;
}
.table-grid > *:has(+ .table-grid__hidden) > *:nth-child(even) {
	text-align: left;
}
	#area_3_cont {display: none;}
	.no_mobile {display: none;}
	#area_3_other {display: none;}
	#goods_photoalbum {display: none;}
	#main {width: 100%; min-width: 320px;}
	#logo, #sitename {left: 15px;}
	#search, #header_text {left: 265px;}
	#earn, #basketinfo, #auth_links {right: 15px;}
	.tableinv-row {position: relative; left: -1px;}
	.tableinv__rowd {width: 20%;}
	.tableinv__rowh {width: 40%; max-width: none;}

	#header_text, #header_image {display: none;}
	#search, #nav {right: 16px;}
	#basketinfo, #earn {right: 226px;}
	#basketinfo {margin-top: -7px;}
	#earn {margin-top: 29px;}
	.banner_shops td {display: block; margin-bottom: 10px;}
	.banner_shops td:last-child {margin-bottom: 0;}
	.tableinv__rowd {width: 25%;}
	.tableinv__rowh {width: 50%;}

@media screen and (max-width: 759px) {
	#earn, #bread {display: none;}
	#basketinfo {right: 15px; margin-top: 16px;}
	#footer_text, #footer_banners {width: 34%;}
	#footer_text {padding-left: 25px;}
	#footer_banners {padding-right: 25px;}
	#area_01 {overflow: visible;}
	#area_02, #area_03 {float: none; width: auto;}
	#area_03 ~ #area_01 > *, #area_02 {margin-left: 0;}
/*
	.i_shop.menu_basic {height: 15px; overflow: hidden; cursor: pointer;}
	.i_shop.menu_basic::after {
		content: url(/images/expand.png) !important;
		position: absolute;
		top: -8px; right: 30px;
		background: none !important;
		border-radius: 0 !important;
	}
	#menu_link {display: block;}
	#top_link {display: block; margin-left: -46px;}
*/
	#menu_basic {
		display: none;
		position: absolute;
		background-color: rgba(255, 255, 255, 0.95);
		box-shadow: 0 0 8px rgba(0, 0, 0, 0.13);
	}
	#paymentsystems, #Ya_sync_0 {display: none;}
	#header_block #search_field, #header_block #auth_login_field, #header_block #auth_password_field {opacity: 1;}
}
@media screen and (max-width: 548px) {
	#header_block {padding-top: 151px;}
	#sitename {font-size: 107.692%; margin-top: -7px;}
	#logo {margin-top: 15px;}
	#basketinfo {right: auto; left: 15px; min-width: 200px; margin-top: 96px;}
	#search {left: 241px; margin-top: 105px; margin-right: 0;}
	#nav {margin-top: 41px;}
	#auth_links {margin-top: -7px;}
	#auth_links .pseudo_button {display: block; padding: 0; border: none; text-align: right;}
	#footer_text {padding-left: 10px;}
	#footer_banners {padding-right: 10px;}
	.tableinv__rowd {width: 38.2%;}
	.tableinv__rowh {width: 61.8%;}
/*
	.tableinv__rowh:nth-child(4n-3) {display: none;}
	.tableinv__rowh:nth-child(2n-1) {display: block;}
*/
}
@media screen and (max-width: 405px) {
	#header_block {padding-top: 196px;}
	#basketinfo {margin-top: 113px;}
	#search {left: 15px; margin-top: 158px;}
	#nav {width: 22px; margin-top: -9px; white-space: normal;}
	#nav a {display: inline-block; height: 16px; padding-top: 6px;}
	#auth_links {margin-top: 94px; margin-right: 20px;}
	#auth_links .pseudo_button {display: inline-block; padding-left: 0.35em; border-left: 1px solid #bebebe;}
	#auth_links .pseudo_button:first-child {padding-left: 0; border-left: none;}
	#footer_text, #footer_banners {width: 28%; font-size: 84.615%;}
}

    .divTable
    {
        display:  table;
        width:auto;
    }

    .divRow
    {
       display:table-row;
       width:auto;

    }

    .divth
    {
        float:left;/*fix for  buggy browsers*/
        display:table-column;
        width: 250px;
		padding: 2px 10px 3px 4px;
		text-align: right;
    }
	.divtd
    {
        float:left;/*fix for  buggy browsers*/
        display:table-column;
		width:auto;
		padding: 2px 4px 3px 4px;
    }
